org.apache.storm.mongodb.common

## Class SimpleQueryFilterCreator

- java.lang.Object
- - org.apache.storm.mongodb.common.SimpleQueryFilterCreator

- All Implemented Interfaces:
    Serializable, QueryFilterCreator

      public class SimpleQueryFilterCreator
      extends Object
      implements QueryFilterCreator

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleQueryFilterCreator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bson.conversions.Bson` | `createFilter(ITuple tuple)` Create a query Filter by given Tuple.
    `org.bson.conversions.Bson` | `createFilterByKeys(List<Object> keys)` Create a query Filter by given trident keys.
    `SimpleQueryFilterCreator` | `withField(String field)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleQueryFilterCreator

          public SimpleQueryFilterCreator()

  - ### Method Detail

    - #### createFilter

          public org.bson.conversions.Bson createFilter(ITuple tuple)

      Description copied from interface: `QueryFilterCreator`

      Create a query Filter by given Tuple.

      Specified by:
        `createFilter` in interface `QueryFilterCreator`
      Parameters:
        `tuple` - ITuple tuple
      Returns:
        query Filter

    - #### createFilterByKeys

          public org.bson.conversions.Bson createFilterByKeys(List<Object> keys)

      Description copied from interface: `QueryFilterCreator`

      Create a query Filter by given trident keys.

      Specified by:
        `createFilterByKeys` in interface `QueryFilterCreator`
      Parameters:
        `keys` - keys
      Returns:
        query Filter

    - #### withField

          public SimpleQueryFilterCreator withField(String field)

Copyright © 2019 The Apache Software Foundation. All rights reserved.